TCM(1)

NAME
tcm - Toolkit for Conceptual Modeling

SYNOPSIS
tcm [options]

DESCRIPTION
tcm is an X11/Motif based startup program for the Toolkit for Conceptual Modeling (TCM). With tcm you can display and start up all available tools.

ARGUMENTS
In addition to the standard X11 toolkit options (see X11(7)), tcm accepts the options listed below:

-help
    Write all available options to standard output and quit.

-priv_cmap
    Start tcm (and the tools that are launched from tcm) with a private colormap.

-version
    Write the TCM version to standard output and quit.

ENVIRONMENT
The TCM_HOME environment variable should be the directory where the TCM files are installed.

PATH
    Should include $TCM_HOME/bin

MANPATH
    Should include $TCM_HOME/man

PRINTER
    Name of the default printer that is used by the tools.

LD_LIBRARY_PATH
    Should include $TCM_HOME/lib when the distribution contains shared object libraries (files ending on .so) in $TCM_HOME/lib.

FILES
The following relative path names are relative to $TCM_HOME.

lib/help/*
    The help directory contains a collection of text files for the on-line help.

lib/TCM
    X Resources (the same as the ones that are built-in). You can customize the fonts and colors by setting resources in your X defaults database. Each string of the form ``TCM.resource:definition'' sets a resource.

lib/tcm.conf
    TCM editor configuration file. This file contains values for some of the editor defaults like the page size, the default fonts etc. This file is read by each editor upon startup.

$HOME/.tcmrc
    Each user of TCM can override some of the options of tcm.conf by its own configuration file, installed in $HOME/.tcmrc.

SEE ALSO
Frank Dehne, Roel Wieringa and Henk van de Zandschulp -- TCM (Toolkit for Conceptual Modeling), User's Guide and Reference. This document is available as PostScript and HTML in $TCM_HOME/doc or as HTML via the URL http://www.cs.utwente.nl/~tcm.

X11(7), tgd(1), tgt(1), tgtt(1), tesd(1), tstd(1), tefd(1), tfrt(1), tfet(1), ttut(1), tssd(1), tucd(1), tatd(1), tsnd(1), tpsd(1).

AUTHOR
Frank Dehne (frank@cs.vu.nl).

BUGS
Please send bug reports to tcm@cs.utwente.nl.